Skip to main content

Get Event Feedback

API Description​

Get feedback about one or more resources. Supply optional filters and the service will return the corresponding feedback type(s) generated during a default or user specified timeframe.

When no timeframe is provided, the default behavior is to return feedback generated in the last seven (7) days.

Request​

URI Parameters​

NameInput
orgId
REQUIRED

Query Parameters​

Filters to apply on the operation.

NameInput
createdDate
OPTIONAL
etag
OPTIONAL
id
OPTIONAL
resourceId
OPTIONAL
resourceType
OPTIONAL
type
OPTIONAL
code
OPTIONAL
Path Template
GET {url}/api/{version}/orgs/{orgId}/feedback?ql={query_parameter};{query_parameter}
Path Example
GET {url}/api/v1/orgs/9467895078742654934/feedback?ql=resourceType==LOCATION;resourceId==9467895078742654976

Request Headers​

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body​

None

Response​

200 OK, 204 No Content, or Error

Response Headers​

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: ce164e3b-5b71-4c5a-a344-fb27b8dc08d9
content-type: application/json

Response Body​

Feedback response bodies are configured to meet the specific data requirements of each feedback type. The following properties should be expected for all feedback types:

ParentNameOutput
$.pagination
REQUIRED
$.data[]
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]resourceDetails
REQUIRED
data[]type
REQUIRED
resourceDetailsresourceId
REQUIRED
resourceDetailsresourceType
REQUIRED

ID​

id (string) uniquely identifies the feedback itself, not the resource that triggered it.

Org ID​

orgId (string) always identifies the organization making the API call, even when a delegated partner retrieves feedback about resources owned by another organization.

Resource Types​

resourceType (string) has these possible values:

AGGREGATE_RATING, BRAND, BRAND_ASSET, BUSINESS_EMAIL_ID, ORGANIZATION, LOCATION, LOCATION_ASSET, REVIEW, SHOWCASE, or SHOWCASE_CREATIVE

BRAND, BRAND_ASSET, BUSINESS_CALLER_ID, BUSINESS_EMAIL_ID, ORGANIZATION, LOCATION, LOCATION_ASSET, SHOWCASE, or SHOWCASE_CREATIVE

AGGREGATE_RATING, BRAND, BRAND_ASSET, BUSINESS_EMAIL_ID, ORGANIZATION, LOCATION, LOCATION_ASSET, REVIEW, SHOWCASE, or SHOWCASE_CREATIVE

AGGREGATE_RATING, BRAND, BRAND_ASSET, BUSINESS_CALLER_ID, BUSINESS_EMAIL_ID, ORGANIZATION, LOCATION, LOCATION_ASSET, REVIEW, SHOWCASE, or SHOWCASE_CREATIVE

Feedback Types​

type (string) has these possible values:

CLAIM_VALIDATION, DELEGATION, MAPS_DISPLAY, OAUTH_APP_GRANT, PROCESSING_FAILURE, PROCESSING_SUCCESSFUL, RESOURCE_CURATION, or VALIDATION_FAILURE

Example Response Body (raw JSON)
{
"data": [
{
"orgId": "9467895078742654994",
"id": "9467895078742654924",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "VALIDATION_FAILURE",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976"
}
},
{
"orgId": "9467895078742654994",
"id": "9467895078742654914",
"createdDate": "2026-10-09T14:12:46.00Z",
"type": "PROCESSING_SUCCESSFUL",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654918"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/v1/orgs/9467895078742654994/feedback?ql=createdDate=ge=2026-10-01T00:00:00Z;createdDate=le=2026-10-11T00:00:00Z&limit=2&after=8U54a61d9b495324"
}
}

When no results are returned.

Example Response Body (raw JSON)
{
"data": [],
"pagination": {}
}